# Desktop UI

一个用于构建桌面端应用的 UI 组件库。🎉 [English](./README_EN.md)

## 组件列表

### 通用

- [x] Button - 按钮
- [x] Icon - 图标
- [x] Typography - 排版

### 布局

- [x] Grid - 栅格
- [ ] Layout - 布局
- [x] Divider - 分割线
- [x] Space - 间距
- [x] Cell - 单元格
- [ ] Collaspse - 折叠面板
- [ ] Split - 面板分割
- [x] Card - 卡片

### 导航

- [ ] Affix - 固钉
- [ ] Anchor - 锚点
- [ ] Breadcrumb - 面包屑
- [ ] Menu - 导航菜单
- [ ] Steps - 步骤条
- [ ] Page - 分页
- [ ] Tabs - 标签页
- [ ] Dropdown - 下拉菜单

### 表单

- [ ] Input - 输入框
- [ ] Radio - 单选框
- [ ] Checkbox - 多选框
- [ ] Switch - 开关
- [ ] Table - 表格
- [ ] Select - 选择器
- [ ] AutoComplete - 自动完成
- [ ] Slider - 滑块
- [ ] DatePicker - 日期选择器
- [ ] TimePicker - 时间选择器
- [ ] Cascader - 级联选择
- [ ] Transfer - 穿梭框
- [ ] InputNumber - 数字输入框
- [ ] Rate - 评分
- [ ] Upload - 上传
- [ ] ColorPicker - 颜色选择器
- [ ] Form - 表单
- [ ] Mentions - 提及
- [ ] TreeSelect - 树选择

### 操作反馈

- [ ] Alert - 警告提示
- [ ] Message - 全局提示
- [ ] Notice - 通知提醒
- [ ] Modal - 对话框
- [ ] Drawer - 抽屉
- [ ] Popconfirm - 气泡确认框
- [ ] Spin - 加载中

### 视图展示

- [ ] Tree - 树形控件
- [ ] Tooltip - 文字提示
- [ ] Popover - 气泡提示
- [ ] Progress - 进度条
- [ ] Skeleton - 骨架屏
- [ ] Avatar - 头像
- [x] Badge - 徽标数
- [ ] Tag - 标签
- [ ] Carousel - 走马灯
- [ ] TimeLine - 时间轴
- [ ] Time - 相对时间
- [ ] Image - 图片
- [ ] List - 列表
- [ ] Empty - 空状态
- [ ] Statistic - 统计数值
- [ ] Comment - 评论
- [ ] Descriptions - 描述列表
- [ ] Calendar - 日历

### 其他

- [ ] BackTop - 回到顶部

## 开始使用

### 添加项目依赖

添加下边依赖到你的项目或者包的 `pubspec.yaml` 文件对应的位置。

```yaml
dependencies:
  desktop_ui: ^0.0.3
```

### 安装依赖

运行安装包命令，安装依赖包。

```shell
> flutter pub get
```

### 引入组件库文件

```dart
import 'package:desktop_ui/desktop_ui.dart';
```
