# Desktop UI

A UI component library for building desktop applications. 🎉  [简体中文](./README.md)

## Component List

### General

- [x] Button - 按钮
- [x] Icon - 图标
- [x] Typography - 排版

### Layout

- [x] Grid - 栅格
- [ ] Layout - 布局
- [x] Divider - 分割线
- [x] Space - 间距
- [x] Cell - 单元格
- [ ] Collaspse - 折叠面板
- [ ] Split - 面板分割
- [x] Card - 卡片

### Navigation

- [ ] Affix - 固钉
- [ ] Anchor - 锚点
- [ ] Breadcrumb - 面包屑
- [ ] Menu - 导航菜单
- [ ] Steps - 步骤条
- [ ] Page - 分页
- [ ] Tabs - 标签页
- [ ] Dropdown - 下拉菜单

### Form

- [ ] Input - 输入框
- [ ] Radio - 单选框
- [ ] Checkbox - 多选框
- [ ] Switch - 开关
- [ ] Table - 表格
- [ ] Select - 选择器
- [ ] AutoComplete - 自动完成
- [ ] Slider - 滑块
- [ ] DatePicker - 日期选择器
- [ ] TimePicker - 时间选择器
- [ ] Cascader - 级联选择
- [ ] Transfer - 穿梭框
- [ ] InputNumber - 数字输入框
- [ ] Rate - 评分
- [ ] Upload - 上传
- [ ] ColorPicker - 颜色选择器
- [ ] Form - 表单
- [ ] Mentions - 提及
- [ ] TreeSelect - 树选择

### Action Feedback

- [ ] Alert - 警告提示
- [ ] Message - 全局提示
- [ ] Notice - 通知提醒
- [ ] Modal - 对话框
- [ ] Drawer - 抽屉
- [ ] Popconfirm - 气泡确认框
- [ ] Spin - 加载中

### View Show

- [ ] Tree - 树形控件
- [ ] Tooltip - 文字提示
- [ ] Popover - 气泡提示
- [ ] Progress - 进度条
- [ ] Skeleton - 骨架屏
- [ ] Avatar - 头像
- [x] Badge - 徽标数
- [ ] Tag - 标签
- [ ] Carousel - 走马灯
- [ ] TimeLine - 时间轴
- [ ] Time - 相对时间
- [ ] Image - 图片
- [ ] List - 列表
- [ ] Empty - 空状态
- [ ] Statistic - 统计数值
- [ ] Comment - 评论
- [ ] Descriptions - 描述列表
- [ ] Calendar - 日历

### Other

- [ ] BackTop - 回到顶部

## Use

### Add Project Dependencies

Add the following dependencies to the 'pubspec.yaml' file corresponding to your project or package.

```yaml
dependencies:
  desktop_ui: ^0.0.3
```

### Install Dependencies

Run the install package command to install the dependency packages.

```shell
> flutter pub get
```

### Import Libary File

```dart
import 'package:desktop_ui/desktop_ui.dart';
```
