import 'package:flutter/material.dart';
import 'package:example/constants.dart';

class MenuItem extends StatelessWidget {
  const MenuItem({
    Key? key,
    required this.press,
    required this.title,
    required this.desc,
    required this.btnText,
  }) : super(key: key);

  final String title, desc, btnText;
  final VoidCallback press;
  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return Container(
      width: size.width,
      height: 75,
      padding: iGapAll,
      margin: iGapBox,
      decoration: BoxDecoration(
        // boxShadow: iBoxShadow,
        borderRadius: iNoBorderRadius,
        border: iBorder,
        color: Colors.white,
      ),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
                height: 20,
                child: Text(
                  title,
                  style: const TextStyle(
                    fontSize: 16,
                    fontWeight: FontWeight.w500,
                    color: Colors.black,
                  ),
                ),
              ),
              ElevatedButton(
                style: iPrimaryButtonStyle,
                onPressed: press,
                child: Text(btnText),
              ),
            ],
          ),
          const SizedBox(height: 5),
          SizedBox(
            height: 20,
            child: Text(
              desc,
              overflow: TextOverflow.ellipsis,
              maxLines: 1,
              style: iContentTextStyle,
            ),
          ),
        ],
      ),
    );
  }
}
