import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class BadgeDemo extends StatelessWidget {
  const BadgeDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: NavBar(
        title: '徽标',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: [
          ContentContainer(
            title: '正常徽标',
            child: Row(
              children: [
                EasyBadge(
                  count: 99,
                  child: Container(
                    decoration: const BoxDecoration(color: iGrayDark),
                    width: 100,
                    height: 100,
                    child: const Center(
                      child: Text('Badge'),
                    ),
                  ),
                ),
                EasyBadge(
                  count: 9,
                  child: Container(
                    decoration: const BoxDecoration(color: iGrayDark),
                    width: 100,
                    height: 100,
                    child: const Center(
                      child: Text('Badge'),
                    ),
                  ),
                ),
                EasyBadge(
                  count: 99,
                  dot: true,
                  child: Container(
                    decoration: const BoxDecoration(color: iGrayDark),
                    width: 100,
                    height: 100,
                    child: const Center(
                      child: Text('Badge'),
                    ),
                  ),
                ),
              ],
            ),
          )
        ],
      ),
    );
  }
}
