import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class ButtonDemo extends StatelessWidget {
  const ButtonDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return Scaffold(
      appBar: NavBar(
        title: '按钮',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: [
          ContentContainer(
            title: '不同样式',
            child: EasySpace(
              wrap: true,
              children: [
                EasyButton(
                  text: 'Default',
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Primary',
                  type: EasyButtonType.primary,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Info',
                  shape: EasyButtonShape.circle,
                  type: EasyButtonType.info,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Success',
                  type: EasyButtonType.success,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Warn',
                  type: EasyButtonType.warn,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Error',
                  type: EasyButtonType.error,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Text',
                  type: EasyButtonType.text,
                  onClick: () {},
                ),
              ],
            ),
          ),
          ContentContainer(
            title: '幽灵按钮',
            child: Container(
              decoration: const BoxDecoration(color: iGray),
              padding: iGapAll,
              child: EasySpace(
                wrap: true,
                children: [
                  EasyButton(
                    text: 'Default',
                    ghost: true,
                    onClick: () {},
                  ),
                  EasyButton(
                    text: 'Primary',
                    ghost: true,
                    type: EasyButtonType.primary,
                    onClick: () {},
                  ),
                  EasyButton(
                    text: 'Info',
                    type: EasyButtonType.info,
                    ghost: true,
                    onClick: () {},
                  ),
                  EasyButton(
                    text: 'Success',
                    ghost: true,
                    type: EasyButtonType.success,
                    onClick: () {},
                  ),
                  EasyButton(
                    text: 'Warn',
                    ghost: true,
                    type: EasyButtonType.warn,
                    onClick: () {},
                  ),
                  EasyButton(
                    text: 'Error',
                    ghost: true,
                    type: EasyButtonType.error,
                    onClick: () {},
                  ),
                  EasyButton(
                    text: 'Text',
                    ghost: true,
                    type: EasyButtonType.text,
                    onClick: () {},
                  ),
                ],
              ),
            ),
          ),
          ContentContainer(
            title: '不同大小',
            child: EasySpace(
              wrap: true,
              children: [
                EasyButton(
                  text: 'Larger',
                  size: EasyButtonSize.larger,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Middle',
                  size: EasyButtonSize.middle,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Default',
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Small',
                  size: EasyButtonSize.small,
                  onClick: () {},
                ),
              ],
            ),
          ),
          ContentContainer(
            title: '不同风格',
            child: EasySpace(
              children: [
                EasyButton(
                  text: 'Larger',
                  shape: EasyButtonShape.round,
                  onClick: () {},
                ),
                EasyButton(
                  text: 'Middle',
                  shape: EasyButtonShape.circle,
                  onClick: () {},
                ),
              ],
            ),
          ),
          ContentContainer(
            title: '其他',
            child: EasySpace(
              children: [
                EasyButton(
                  text: '块级',
                  shape: EasyButtonShape.round,
                  onClick: () {},
                ),
                EasyButton(
                  text: '禁用',
                  disabled: true,
                  onClick: () {},
                ),
                EasyButton(
                  icon: EasyIconData.home,
                  shape: EasyButtonShape.circle,
                  type: EasyButtonType.primary,
                  onClick: () {},
                ),
                EasyButton(
                  icon: EasyIconData.search,
                  shape: EasyButtonShape.circle,
                  type: EasyButtonType.primary,
                  onClick: () {},
                ),
                EasyButton(
                  icon: EasyIconData.home,
                  type: EasyButtonType.primary,
                  onClick: () {},
                ),
                EasyButton(
                  icon: EasyIconData.home,
                  onClick: () {},
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
