import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class CardDemo extends StatelessWidget {
  const CardDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: NavBar(
        title: '卡片',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: const [
          ContentContainer(
            title: '普通卡片',
            child: EasyCard(
              title: '普通卡片',
              child: Text('卡片内容'),
            ),
          ),
          ContentContainer(
            title: '阴影卡片',
            child: EasyCard(
              title: '卡片有阴影',
              shadow: true,
              child: Text('卡片内容'),
            ),
          ),
          ContentContainer(
            title: '图标卡片',
            child: EasyCard(
              title: '前边有图标',
              icon: EasyIconData.home,
              child: Text('卡片内容'),
            ),
          ),
          ContentContainer(
            title: '普通卡片',
            child: EasyCard(
              child: Text('卡片内容， 没有title'),
            ),
          ),
        ],
      ),
    );
  }
}
