import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class CellDemo extends StatefulWidget {
  const CellDemo({Key? key}) : super(key: key);

  @override
  State<CellDemo> createState() => _CellDemoState();
}

class _CellDemoState extends State<CellDemo> {
  late bool isSwitch;
  @override
  void initState() {
    isSwitch = false;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: NavBar(
        title: '按钮',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: [
          ContentContainer(
            title: '基础单元格',
            child: Column(
              children: [
                EasyCell(
                  title: '只显示标题',
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
                EasyCell(
                  title: '显示Label内容',
                  label: 'label内容',
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
                EasyCell(
                  title: '显示右侧内容',
                  value: '详细信息',
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
                EasyCell(
                  title: '链接',
                  value: '详细信息',
                  link: true,
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
                EasyCell(
                  title: '链接',
                  link: true,
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
                EasyCell(
                  title: '自定义内容',
                  link: true,
                  extra: Icon(Icons.badge),
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
                EasyCell(
                  title: '自定义内容',
                  link: true,
                  extra: CupertinoSwitch(
                    value: isSwitch,
                    onChanged: (bool val) {
                      setState(() {
                        isSwitch = val;
                      });
                    },
                  ),
                  onClick: () {
                    // print('cell on-click');
                  },
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
