import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class DividerDemo extends StatelessWidget {
  const DividerDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return Scaffold(
      appBar: NavBar(
        title: '分割线',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: [
          ContentContainer(
            title: '分割线',
            child: Column(
              children: const [
                EasyDivider(
                  text: '标题',
                ),
                EasyDivider(
                  text: '标题',
                  dashed: true,
                ),
                EasyDivider(
                  text: '标题',
                  orientation: DividerOrientation.left,
                ),
                EasyDivider(
                  text: '标题',
                  orientation: DividerOrientation.right,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
