import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/color_block.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class GridDemo extends StatelessWidget {
  const GridDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return Scaffold(
      appBar: NavBar(
        title: '栅格',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: const [
          ContentContainer(
            title: '栅格',
            child: EasyRow(
              gutter: 10.0,
              children: [
                EasyCol(
                  span: 12,
                  child: ColorBlock(text: 'span-12'),
                ),
                EasyCol(
                  span: 12,
                  child: ColorBlock(text: 'span-12'),
                ),
                EasyCol(
                  span: 12,
                  child: ColorBlock(text: 'span-12'),
                ),
                EasyCol(
                  span: 12,
                  child: ColorBlock(text: 'span-12'),
                ),
                EasyCol(
                  span: 12,
                  child: ColorBlock(text: 'span-12'),
                ),
                EasyCol(
                  span: 6,
                  child: ColorBlock(text: 'span-6'),
                ),
                EasyCol(
                  span: 7,
                  child: ColorBlock(text: 'span-7'),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
