import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/constants.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class TypographyDemo extends StatelessWidget {
  const TypographyDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return Scaffold(
      appBar: NavBar(
        title: '排版',
        isHaveBack: true,
      ),
      body: ListView(
        padding: iGapBottomLarger,
        children: [
          ContentContainer(
            title: '标题组件',
            child: Column(
              children: const [
                EasyTitle('这个是 H1 标题'),
                EasyTitle('这个是 H2 标题', level: EasyTextLevel.h2),
                EasyTitle('这个是 H3 标题', level: EasyTextLevel.h3),
                EasyTitle('这个是 H4 标题', level: EasyTextLevel.h4),
                EasyTitle('这个是 H5 标题', level: EasyTextLevel.h5),
              ],
            ),
          ),
          ContentContainer(
            title: '文本组件',
            child: SizedBox(
              width: size.width,
              child: Column(
                mainAxisAlignment: MainAxisAlignment.start,
                crossAxisAlignment: CrossAxisAlignment.start,
                children: const [
                  EasyText('Desktop UI (default)'),
                  EasyText('Desktop UI (primary)', type: EasyThemeType.primary),
                  EasyText('Desktop UI (info)', type: EasyThemeType.info),
                  EasyText('Desktop UI (success)', type: EasyThemeType.success),
                  EasyText('Desktop UI (warn)', type: EasyThemeType.warn),
                  EasyText('Desktop UI (error)', type: EasyThemeType.error),
                  EasyText('Desktop UI (disable)', disable: true),
                  EasyText('Desktop UI (mark)', mark: true),
                  EasyText('Desktop UI (code)', code: true),
                  EasyText('Desktop UI (delete)', delete: true),
                  EasyText('Desktop UI (underline)', underline: true),
                  EasyText('Desktop UI (strong)', strong: true),
                  EasyText('Desktop UI (italic)', italic: true),
                ],
              ),
            ),
          ),
          const ContentContainer(
            title: '超链接组件',
            child: EasyLink('百度', 'https://baidu.com'),
          ),
          ContentContainer(
            title: '段落',
            child: Column(
              children: const [
                EasyParagraph(
                  '''Desktop UI 是一个为了加速使用 Flutter 开发桌面端软件而诞生的桌面端 UI 组件库，其中包含了：按钮、文本、输入框、单选、多选等基础组件，也完成了表格、菜单、时间选择、日期选择等高级组件。以前的努力只为更好、更快的开发桌面端软件。''',
                  // ellipsis: false,
                  // maxLines: 3,
                ),
                EasyParagraph(
                  '''Desktop UI 是一个为了加速使用 Flutter 开发桌面端软件而诞生的桌面端 UI 组件库，其中包含了：按钮、文本、输入框、单选、多选等基础组件，也完成了表格、菜单、时间选择、日期选择等高级组件。以前的努力只为更好、更快的开发桌面端软件。''',
                  ellipsis: true,
                  maxLines: 3,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
