import 'package:example/constants.dart';
import 'package:example/demo/badge.dart';
import 'package:example/demo/button.dart';
import 'package:example/demo/card.dart';
import 'package:example/demo/cell.dart';
import 'package:example/demo/divider.dart';
import 'package:example/demo/grid.dart';
import 'package:example/demo/typography.dart';
import 'package:get/get.dart';
import 'package:flutter/material.dart';

import 'components/menu_item.dart';
import 'components/nav_bar.dart';
import 'demo/mulit.dart';

final List menuList = [
  {
    'title': '乱七八糟测试',
    'desc': 'EasyButton',
    'btnText': '进入',
    'press': () => Get.to(const MulitDemo()),
  },
  {
    'title': '按钮',
    'desc': 'EasyButton',
    'btnText': '进入',
    'press': () => Get.to(const ButtonDemo()),
  },
  {
    'title': '排版',
    'desc': 'EasyTitle、EasyText、EasyParagraph、EasyLink',
    'btnText': '进入',
    'press': () => Get.to(const TypographyDemo()),
  },
  {
    'title': '分割线',
    'desc': 'EasyDivider',
    'btnText': '进入',
    'press': () => Get.to(const DividerDemo()),
  },
  {
    'title': '栅格',
    'desc': 'EasyRow、EasyCol',
    'btnText': '进入',
    'press': () => Get.to(const GridDemo()),
  },
  {
    'title': '单元格',
    'desc': 'EasyCell',
    'btnText': '进入',
    'press': () => Get.to(const CellDemo()),
  },
  {
    'title': '卡片',
    'desc': 'EasyCard',
    'btnText': '进入',
    'press': () => Get.to(const CardDemo()),
  },
  {
    'title': '徽标数',
    'desc': 'EasyBadge',
    'btnText': '进入',
    'press': () => Get.to(const BadgeDemo()),
  },
];

class Home extends StatefulWidget {
  const Home({Key? key}) : super(key: key);

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: NavBar(title: 'Desktop UI 组件列表'),
      body: ListView.builder(
        padding: iGapBottomLarger,
        itemBuilder: (context, index) {
          return MenuItem(
            press: menuList[index]['press'],
            title: menuList[index]['title'],
            desc: menuList[index]['desc'],
            btnText: menuList[index]['btnText'],
          );
        },
        itemCount: menuList.length,
      ),
    );
  }
}
