import 'package:flutter/material.dart';

/// 头像大小，默认：32
enum EasyAvatarSize {
  /// 高度为：40
  larger,

  /// 高度为：36
  middle,

  /// 高度为：28
  small,
}

/// 头像形状，默认：circle
enum EasyAvatarShape {
  /// 圆形头像
  circle,

  /// 方形头像
  square,
}

class EasyAvatar extends StatelessWidget {
  const EasyAvatar({
    Key? key,
    required this.src,
    this.size,
    this.shape,
    this.customerSize,
  }) : super(key: key);

  final String src;
  final EasyAvatarSize? size;
  final EasyAvatarShape? shape;
  final double? customerSize;

  @override
  Widget build(BuildContext context) {
    return SizedBox();
  }
}
